  (defun c:meritko ()
            ;;; definice nov funkce meritko
    (setq id (load_dialog "d:/meritko.dcl"))  ;;; pedn jmna dialogovho boxu
       ;;; CESTU K UMSTN DIALOGU SE MUS AKTUALIZOVAT PODLE AKTUALNHO UMSTN
       
    (if (not (new_dialog "zoom" id))
      (exit)
    )
            ;;; v ppad nesouhlasnho jmna dialogovho
            ;;; panelu (v naem ppad zoom - jmno na zatku
            ;;; souboru.dcl) ukon innost
    (setq hodn 1)
            ;;; nastaven pomocn promnn - hodnota zven
    (set_tile "vyber" "zvetseni")
            ;;; nastaven radiotlatka "zvetseni" ze skupiny
            ;;; "vyber" na aktivn = zvraznn
    (action_tile "slider" "(slider_action $value $reason)")
            ;;; zskn hodnoty pi aktivaci dialogovho prvku
            ;;; "slider" a zavoln funkce slider_action 
            ;;; s parametry hodnota a dvod
    (action_tile "editbox" "(ebox_action $value $reason)")
            ;;; zskn hodnoty pi aktivaci dialogovho prvku 
            ;;; "editbox" a zavoln funkce ebox_action
            ;;; s parametry hodnota a dvod
    (action_tile "zvetseni" "(setq radio 0)")
            ;;; pi zmknut radio_tlatka "zvetseni" 
            ;;; se nastavi promnn radio na 0
    (action_tile "zmenseni" "(setq radio 1)")
            ;;; pi zmknut radio_tlatka "zmenseni" se 
            ;;; nastavi promnn radio na 1
    (action_tile "accept"
      "(progn 
        (done_dialog)
        (setq ok 1)
      )"
    )
            ;;; pi aktivaci tlatka "accept" = OK se ukon 
            ;;; dialogov box a nastav se pomocn promnn signalizujc,
            ;;; e dialogov box byl ukonen tlatkem OK = potvrzen zmn
    (action_tile "cancel"
      "(progn 
        (term_dialog) 
        (setq ok 0)
      )"
    )       ;;; pi aktivaci tlatka "cancel" = ZRUS se ukon
            ;;; dialogov box a nastav se pomocn promnn signalizujc,
            ;;; e dialogov box byl zruen = nepotvrdit zmny
    (start_dialog)
            ;;; 		zahjen dialogu
    (unload_dialog id)
            ;;; odstrann dialogu
            ;;; zpracovn/nezpracovn hodnot zsknch z dialogovho boxu
    (if (= ok 1)
            ;;; dialog ukonen OK:
      (progn
        (if (= radio 0)
            ;;; rozhodnut zda zvtovat/zmenovat podle hodnoty
            ;;; radio_tlatek
          (command "zoom" "_S" hodn)
            ;;; zvten
          (progn
            (setq hodn (/ 1.0 hodn))
            (command "zoom" "_S" hodn)
            ;;; zmenen
          )
        )
      )
            ;;; 	CANCEL:
      (setq ok 0)
            ;;; 	vrcen pomocn promnn na 0
    )
  )

  (defun slider_action (val why)
            ;;; funkce, kter v ppad aktivace slideru nastav
            ;;; odpovdajc hodnotu v edit_boxu
    (if (or (= why 2) (= why 1))
            ;;; v ppad splnnch podmnek nastav edit_box,
            ;;; 1 = zmknut entru, 2 = selekce z edit_boxu
      (progn
        (set_tile "editbox" val)
            ;;; 	nastaven hodnoty v edit_boxu
        (setq hodn (atoi val))
            ;;; nastaven pomocn promnn hodnota zvten z promnn
            ;;; val pomoc konverzestring -> integer
      )
    )
  )

  (defun ebox_action (val why)
      ;;; funkce, kter v ppad aktivace edit_boxu nastav odpovdajc
      ;;; hodnotu na slideru
    (setq hodn (atoi val))
      ;;; nastaven pomocn promnn  hodnota zvten z promnn
      ;;; val pomoc konverzestring -> integer
    (if (> hodn 10)
      ;;; v ppad, e je hodnota zvten/zmenen vt ne 10 (maximln
      ;;; hodnota slideru), pak nastav zvten/zmenen na 10
      (progn
        (setq val "10")
        (set_tile "editbox" val)
      )
    )
    (if (or (= why 2) (= why 1))
            ;;; v ppad splnnch podmnek nastav slider 
            ;;; 1 = zmknut entru, 2 = selekce z edit_boxu
      (set_tile "slider" val)
    )
  )

;;; nakonec zobrazme informaci pro uivatele, jak m spustit funkci
(princ "\nNezapomete nastavit sprvnou cestu k dialogu ve funkci zoom!!!")  
(princ "\nFunkce se spust pkazem (c:meritko) v IDE Visual LISPu")
(princ "\nFunkce se spust pkazem meritko v AutoCADu")